> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fix6.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Createa a new project with a provided GeoJSON or file. Accepted file formats are GeoJSON and KML.
You can also pass a GeoJSON file through the body of the request, and that body will be parsed as the GeoJSON file
for your project.



## OpenAPI

````yaml post /projects
openapi: 3.0.2
info:
  title: Fix6 API
  version: 0.2.1
servers: []
security: []
paths:
  /projects:
    post:
      tags:
        - projects
      summary: Create Project
      description: >-
        Createa a new project with a provided GeoJSON or file. Accepted file
        formats are GeoJSON and KML.

        You can also pass a GeoJSON file through the body of the request, and
        that body will be parsed as the GeoJSON file

        for your project.
      operationId: create_project_projects_post
      parameters:
        - required: true
          schema:
            title: Project Name
            type: string
          name: project_name
          in: query
        - required: false
          schema:
            title: Is Collection
            type: boolean
            default: false
          name: is_collection
          in: query
        - required: false
          schema:
            title: Is Control Pool
            type: boolean
            default: false
          name: is_control_pool
          in: query
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_create_project_projects_post'
      responses:
        '200':
          description: Project created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_create_project_projects_post:
      title: Body_create_project_projects_post
      type: object
      properties:
        file:
          title: File
          type: string
          format: binary
        geojson:
          title: Geojson
          type: string
    ProjectItem:
      title: ProjectItem
      required:
        - id
        - user_id
        - project_name
        - created_at
        - updated_at
        - geometry
      type: object
      properties:
        id:
          title: Id
          type: string
        user_id:
          title: User Id
          type: string
        project_name:
          title: Project Name
          type: string
        created_at:
          title: Created At
          type: string
          format: date-time
        updated_at:
          title: Updated At
          type: string
          format: date-time
        area_hectares:
          title: Area Hectares
          type: number
        centroid_lat:
          title: Centroid Lat
          type: number
        centroid_lon:
          title: Centroid Lon
          type: number
        geometry_hash:
          title: Geometry Hash
          type: string
        geometry:
          title: Geometry
          type: object
        is_collection:
          title: Is Collection
          type: boolean
          default: false
        subprojects:
          title: Subprojects
          type: array
          items:
            type: string
        parent_collection:
          title: Parent Collection
          type: string
        is_control_pool:
          title: Is Control Pool
          type: boolean
          default: false
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````